public void Main()
 {
     string[] args = new string[0];
     AppEntryArxNet appEntryArxNet = new AppEntryArxNet();
     int result = appEntryArxNet.Main(args);
     Assert.That(result, Is.EqualTo(0));
 }
Example #2
0
        public void Cmd_NUnit()
        {
            // Put your command code here
            //Application.ShowAlertDialog("nunit-command");
            try
            {
                Editor ed = Application.DocumentManager.MdiActiveDocument.Editor;

                PromptStringOptions opt = new PromptStringOptions("args:");
                opt.AllowSpaces = true;
                PromptResult res = ed.GetString(opt);
                string[] args = new string[0];
                switch (res.Status)
                {
                    case PromptStatus.OK:
                        if (res.StringResult.Trim() != "")
                        {
                            args = res.StringResult.Split(' ');
                        }
                        break;
                    default:
                        break;
                }

                //NUnit.Gui.ArxNet.AppEntryArxNet.Main(args);
                AppEntryArxNet appEntryArxNet = new AppEntryArxNet();
                appEntryArxNet.Main(args);
            }
            catch (Autodesk.AutoCAD.Runtime.Exception e)
            {
                Application.ShowAlertDialog(e.Message);
            }
            catch (System.Exception e)
            {
                Application.ShowAlertDialog(e.Message);
            }
            /*
            try
            {
                AppEntryArxNet.Main(new string[] { });
            }
            catch (Autodesk.AutoCAD.Runtime.Exception e)
            {
                Application.ShowAlertDialog(e.Message);
            }
            catch (System.Exception e)
            {
                Application.ShowAlertDialog(e.Message);
            }
            */
        }